doctype html
html(lang="en")
  head
    meta(charset="utf-8")
    meta(name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no")
    link(href=basePath + "/vendor/bootstrap.min.css" rel="stylesheet")
    link(href=basePath + "/vendor/fa/css/fontawesome.min.css" rel="stylesheet")
    link(href=basePath + "/vendor/fa/css/solid.min.css" rel="stylesheet")
    link(href=basePath + "/vendor/fa/css/regular.min.css" rel="stylesheet")
    link(href=basePath + "/vendor/codemirror.css" rel="stylesheet")
    link(href=basePath + "/dist/img/favicon.svg" rel="shortcut icon")
    link(href=basePath + "/dist/img/favicon.ico" rel="shortcut icon" sizes="256x256 128x128 64x64 48x48 32x32")

    title Example SSVG engine Application
  body
    script(src=basePath + "/vendor/jquery.min.js")
    script(src=basePath + "/vendor/axios.min.js")
    script(src=basePath + "/vendor/codemirror.js")
    script(src=basePath + "/vendor/mode/pug.js")
    script(src=basePath + "/vendor/mode/javascript.js")
    script(src=basePath + "/vendor/bootstrap.min.js")
    .container.pt-3
      h3

        block title
        span.float-right
          a.far.fa-caret-square-left.text-muted.align-text-bottom(href=basePath + '/')
      .card
        ul.list-group.list-group-flush
          li.x-declaration.list-group-item.p-0
            .card.border-0
              .card-header
                h5.mb-0 Declaration
                  span.badge.badge-pill.badge-danger.float-right.x-messages-count.d-none
              .card-body.p-0
                div.x-cm
                button.m-2.btn.btn-sm.btn-primary.x-btn.d-none load
          li.list-group-item.x-ssvg.d-none
            block ssvg
          li.list-group-item.p-0.x-value
            .card.rounded-0.border-0
              .card-header #[h5.mb-0 Current Value]
              .card-body.p-0
                div.x-cm
                button.m-2.btn.btn-sm.btn-primary.x-btn.d-none update
      div.mt-2.x-messages.d-none
      div.mt-4

      style.
        a.far, a.fa, a.fas {
          text-decoration: none;
          color: black;
        }

        a.fa:hover, a.far:hover, a.fas:hover {
          background-color: none;
          color: black !important;
        }

        .CodeMirror {
          height: auto;
        }
        .x-btn {
          bottom: 0;
          right: 0;
          position: absolute;
          z-index: 10;
        }
      script
        .
          const basePath = !{'"' + basePath + '"'}
        include _base.js
